Package javax.help.event

# Interface HelpModelListener

All Superinterfaces:
  `EventListener`

All Known Subinterfaces:
  `HelpHistoryModel`

All Known Implementing Classes:
  `BasicContentViewerUI`, `BasicFavoritesNavigatorUI`, `BasicGlossaryNavigatorUI`, `BasicIndexNavigatorUI`, `BasicSearchNavigatorUI`, `BasicTOCNavigatorUI`, `DefaultHelpHistoryModel`

public interface HelpModelListener extends EventListener
Defines the interface for an object that listens to changes in a HelpModel.

## Method Summary

Modifier and Type
Method
Description
`void`
`idChanged(HelpModelEvent e)`
Tells the listener that the current ID in the HelpModel has changed.

## Method Details

### idChanged

void idChanged(HelpModelEvent e)
Tells the listener that the current ID in the HelpModel has changed. All highlights from the previous location change at this point.

Parameters:
  `e` - The event